<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.prolog.cs.base.gsp.dao.DxiGspMaintenanceRecordMapper">
<resultMap id="map" type="com.prolog.cs.base.gsp.model.DxiGspMaintenanceRecord">
	<result column="lineid" property="lineid"/>
	<result column="seqno" property="seqno"/>
	<result column="billid" property="billid"/>
	<result column="billno" property="billno"/>
	<result column="branchid" property="branchid"/>
	<result column="branchcode" property="branchcode"/>
	<result column="branchname" property="branchname"/>
	<result column="consignorid" property="consignorid"/>
	<result column="consignorcode" property="consignorcode"/>
	<result column="consignorname" property="consignorname"/>
	<result column="billdate" property="billdate"/>
	<result column="itemid" property="itemid"/>
	<result column="itemcode" property="itemcode"/>
	<result column="itemname" property="itemname"/>
	<result column="lotno" property="lotno"/>
	<result column="locno" property="locno"/>
	<result column="stockqty" property="stockqty"/>
	<result column="itemtype" property="itemtype"/>
	<result column="stockstate" property="stockstate"/>
	<result column="status" property="status"/>
	<result column="sourcetype" property="sourcetype"/>
	<result column="upkeepoperator" property="upkeepoperator"/>
	<result column="processopinion" property="processopinion"/>
	<result column="recheckoperator" property="recheckoperator"/>
	<result column="recheckopinion" property="recheckopinion"/>
	<result column="auditoperator" property="auditoperator"/>
	<result column="auditopinion" property="auditopinion"/>
	<result column="checkoperation" property="checkoperation"/>
	<result column="qualifiedqty" property="qualifiedqty"/>
	<result column="pendingqty" property="pendingqty"/>
	<result column="qualitystatus" property="qualitystatus"/>
	<result column="thstatus" property="thstatus"/>
	<result column="pendingreason" property="pendingreason"/>
	<result column="upkeepdate" property="upkeepdate"/>
	<result column="recheckdate" property="recheckdate"/>
	<result column="remark" property="remark"/>
	<result column="attr_str1" property="attrStr1"/>
	<result column="attr_str2" property="attrStr2"/>
	<result column="attr_num1" property="attrNum1"/>
	<result column="attr_num2" property="attrNum2"/>
	<result column="attr_dte1" property="attrDte1"/>
	<result column="attr_dte2" property="attrDte2"/>
	<result column="createby" property="createby"/>
	<result column="createdate" property="createdate"/>
	<result column="lastmodifyby" property="lastmodifyby"/>
	<result column="lastmodifydate" property="lastmodifydate"/>
	<result column="p_enterpriseid" property="pEnterpriseid"/>
	<result column="p_enterprisename" property="pEnterprisename"/>
	<result column="datasource" property="datasource"/>
	<result column="isneardate" property="isneardate"/>
	<result column="attr_str3" property="attrStr3"/>
	<result column="checkmemo" property="checkmemo"/>
</resultMap>
</mapper>
